CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

'#define DEBUG

'#define PKS

#define DEMO_BOARD

'#define BOE
#define INCLUDE_XDRV

#define USE_FILE_SYSTEM
#define USE_I2C
#define I2C_DEVICE_PRESENT
#define I2C_WRITE

#define KEEP_DEBUG_STATS

#define USE_COGLIB

OBJ
  hwdefs:   "hwdefs"

  debug:    "MultiCogSerialDebug"

  sdfat[4]: "fsrw_sidx7"


DAT
  debugSemID byte 0
  fileSemID  byte 0
  buf        byte 0[513]

PUB main | drvQueHeadPtr,  activeDrv, evtPtr, drvId, offset, retStat, {
          } myInputEvt, myUnknownEvts, myNoEvts, myNoDrvReady, {
          } currentState, curEvent, timerVal, statePtr, noTransFoundCnt, val

  'wait for me to connect the serial terminal
  waitcnt(cnt + clkfreq*5)

  debugSemID := locknew 'used with MultiCogSerialDebug
  fileSemID  := locknew 'protect the xb driver

  debug.start(hwdefs#serRecv,hwdefs#serXmit,0,hwdefs#speed,debugSemID)

  debug.cprintf(string("start of main program cogid = %x\r"), cogid, true)
  debug.cprintf(string("debugSemID %d \r"), debugSemID, true)
  debug.cprintf(string("fileSemID %d \r"),  fileSemID,  false)

  ' give the fs a semaphore to protect it
  sdfat[0].pSetSemId(fileSemID)

  ' initialize the filesystem
  retStat := \sdfat[0].mount(hwdefs#FS_BASE_PIN)
  if retStat <> 0
    debug.cprintf(string("main - abort - file system init error: %d\r"),retStat,false)
    abort
  else
    debug.cprintf(string("main - file system mount OK \r"),0,false)

    val := \sdfat[1].popen(string("mlk1.dat"), "r")
    debug.cprintf(string("main - el file open %d \r"), val,false)
    if (val == 0)
      val :=  \sdfat[1].pread(@buf[0], 512)
      debug.cprintf(string("main - el file read %d \r"), val,false)

    val := \sdfat[1].popen(string("mlk1.wav"), "r")
    debug.cprintf(string("main - wav file open %d \r"), val,false)
    if (val == 0)
      val :=  \sdfat[1].pread(@buf[0], 512)
      debug.cprintf(string("main - wav file read %d \r"), val,false)
      val :=  \sdfat[1].pclose
      debug.cprintf(string("main - wav file close %d \r"), val,false)

    val :=  \sdfat[1].pclose
    debug.cprintf(string("main - el file close %d \r"), val,false)

